<?xml version="1.0" encoding="UTF-8"?> <!-- -*- sgml-indent-step: 2 -*- -->
<!--
  The contents of this file are subject to the terms of the Common Development
  and Distribution License (the License). You may not use this file except in
  compliance with the License.

  You can obtain a copy of the License at http://www.netbeans.org/cddl.html
  or http://www.netbeans.org/cddl.txt.

  When distributing Covered Code, include this CDDL Header Notice in each file
  and include the License file at http://www.netbeans.org/cddl.txt.
  If applicable, add the following below the CDDL Header, with the fields
  enclosed by brackets [] replaced by your own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"

  The Original Software is NetBeans. The Initial Developer of the Original
  Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
  Microsystems, Inc. All Rights Reserved.
-->
<project basedir="." default="runtests" name="xtest-master">

    <property name="build.sysclasspath" value="ignore"/>
    <property name="xtest.home" location="../../xtest"/>
    <property name="xtest.basedir" location="../.."/>

    <property name="xtest.config" value="commit-validation"/>
    <property name="xtest.instance.name" value="Enterprise Pack Commit Validation Tests"/>
    <property name="xtest.harness.antfile" location="${xtest.home}/lib/harness.xml"/>

    <property name="xtest.nobuildxtest" value="true"/>
    
    <!-- ============= -->
    <target name="testing" depends="buildtests"/>
    
    <target name="runtests" depends="cleanresults,cleantests,buildtests">
        <echo message="xtest.config=${xtest.config}"/>
        <ant dir="." antfile="${xtest.harness.antfile}"
             target="runtests"/>
            
    </target>

    <target name="coverage">
       <xslt in="master-config.xml" out="coveragebuild.xml"
          style="coverage.xsl">
          <xmlcatalog>
              <dtd
                 publicId="-//NetBeans//DTD XTest Master Config 1.0//EN"
                 location="dtd/xtest-master-config-1_0.dtd"/>
          </xmlcatalog>
       </xslt>
       <ant antfile="coveragebuild.xml" target="${xtest.config}">
         <property name="netbeans.dest.dir" location="${netbeans.dest.dir}"/>
       </ant>     
       <delete file="coveragebuild.xml"/>
    </target>

    <target name="buildtests">
        <ant dir="." antfile="${xtest.harness.antfile}"
             target="buildtests"/>
    </target>
    
    <target name="cleantests">        
        <ant dir="." antfile="${xtest.harness.antfile}"
             target="cleantests"/>
    </target>
    
    <target name="cleanresults">
        <ant dir="." antfile="${xtest.harness.antfile}"
             target="cleanresults"/>
    </target>
</project>
